Skip to main content
GET
/
pipeline-runs
/
{id}
Get a pipeline run
curl --request GET \
  --url https://api.sftpsync.io/pipeline-runs/{id} \
  --header 'x-api-key: <api-key>'
{
  "id": "run_123",
  "status": "completed",
  "filename": "employees.csv"
}

Authorizations

x-api-key
string
header
required

Path Parameters

id
string
required

Response

Pipeline run

id
string
required
filename
string
required
status
enum<string>
required
Available options:
pending,
processing,
completed,
delivered,
failed,
acknowledged
createdAt
string<date-time>
required
updatedAt
string<date-time>
required
clientId
string
required
path
string
size
integer
mimetype
string
metadata
object
pipelineDirection
enum<string>

Direction of the pipeline that produced this run.

Available options:
inbound,
outbound
errorMessage
string
processedAt
string<date-time>
schemaId
string
pipelineId
string
pipelineName
string | null

Name of the originating pipeline. DELETED PIPELINE when the pipeline was deleted.

isPipelineDeleted
boolean

True when the originating pipeline has been deleted.

client
object

Originating connection's display name, resolved from the SFTP/email child connection.